Loading...
Searching...
No Matches
PLYVisitor Class Reference

Visitor that visits scene elements and creates a PLY input file. More...

`#include <avogadro/rendering/plyvisitor.h>`

Inheritance diagram for PLYVisitor:

## Public Member Functions

| PLYVisitor (const Camera &camera)
void | begin ()
std::string | end ()
void | visit (Node &) override
void | visit (GroupNode &) override
void | visit (GeometryNode &) override
void | visit (Drawable &) override
void | visit (SphereGeometry &) override
void | visit (AmbientOcclusionSphereGeometry &) override
void | visit (CurveGeometry &) override
void | visit (CylinderGeometry &) override
void | visit (MeshGeometry &) override
void | visit (TextLabel2D &) override
void | visit (TextLabel3D &) override
void | visit (LineStripGeometry &geometry) override
void | setCamera (const Camera &c)
Camera | camera () const
void | setBackgroundColor (const Vector3ub &c)
void | setAmbientColor (const Vector3ub &c)
void | setAspectRatio (float ratio)
Public Member Functions inherited from Visitor
virtual void | visit (WideLineGeometry &)

## Detailed Description

This visitor will render elements in the scene to a text file that contains elements that can be rendered as PLY.

## Member Function Documentation

## visit() [1/12]

void visit | ( | Node & |  | ) |

override virtual

The overloaded visit functions, the base versions of which do nothing.

Reimplemented from Visitor.

## visit() [2/12]

void visit | ( | GroupNode & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [3/12]

void visit | ( | GeometryNode & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [4/12]

void visit | ( | Drawable & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [5/12]

void visit | ( | SphereGeometry & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [6/12]

void visit | ( | AmbientOcclusionSphereGeometry & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [7/12]

void visit | ( | CurveGeometry & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [8/12]

void visit | ( | CylinderGeometry & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [9/12]

void visit | ( | MeshGeometry & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [10/12]

void visit | ( | TextLabel2D & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [11/12]

void visit | ( | TextLabel3D & |  | ) |

override virtual

Reimplemented from Visitor.

## visit() [12/12]

void visit | ( | LineStripGeometry & | geometry | ) |

override virtual

Reimplemented from Visitor.

The documentation for this class was generated from the following file:

- plyvisitor.h